# $Revision: 1.96 $, $Date: 2002/10/13 21:15:29 $
#
# Conditional build:
# _without_alsa - without ALSA support
# _without_esound - without esound support
# _without_arts - without arts support
# _with_svga - with svgalib support
# _with_aalib - with aalib support
# _with_ggi - with GGI support
#
%ifarch	alpha
%define _without_arts 1
%endif

Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library
Summary(es):	Simple DirectMedia Layer
Summary(pl):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediw
Summary(pt_BR):	Simple DirectMedia Layer
Summary(ru):	Simple DirectMedia Layer
Summary(uk):	Simple DirectMedia Layer
Summary(zh_CN):	SDL (Simple DirectMedia Layer) Generic APIs - Ϸ/ý
Name:		SDL
Version:	1.2.5
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.libsdl.org/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-byteorder.patch
Patch1:		%{name}-fixlibs.patch
Patch2:		%{name}-amfix.patch
Patch3:		%{name}-lpthread.patch
Patch4:		%{name}-ac25x.patch
Patch5:		%{name}-no_rpath_in_sdl-config.patch
Patch6:		%{name}-noobjc.patch
URL:		http://www.libsdl.org/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel >= 4.0.2
%{?_with_aalib:BuildRequires:	aalib-devel}
%ifnarch sparc sparc64
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%endif
%{!?_without_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{!?_without_esound:BuildRequires:	esound-devel}
%{?_with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libtool
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	perl-modules
%{?_with_svgalib:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

%description -l pl
SDL (Simple DirectMedia Layer) jest bibliotek udostpniajc
przenony, niskopoziomowy dostep do bufora ramki video, wyjcia audio,
myszy oraz klawiatury, Moze obsugiwa zarwno okienkowy tryb XFree86
jak i DGA. Konstruujc j miano na uwadze przenono: aplikacje
konsolidowane z SDL mona rwnie budowac w systemach Win32 i BeOS.

%description -l pt_BR
Esse  o Simple DirectMedia Layer, uma API genrica que d acesso de
baixo nvel a udio, teclado, mouse e vdeo em vrias plataformas.

Essa biblioteca  usada por alguns jogos.

%package devel
Summary:	SDL - Header files
Summary(pl):	SDL - Pliki nagwkowe
Summary(pt_BR):	Bibliotecas e arquivos de cabealho para aplicaes SDL
Summary(ru):	,    ,  SDL
Summary(uk):	, ȦΦ   ,   SDL
Summary(zh_CN):	SDL (Simple DirectMedia Layer) 
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	XFree86-devel >= 4.0.2
%ifnarch sparc sparc64
%{!?_without_alsa:Requires:	alsa-lib-devel}
%endif
%{!?_without_arts:Requires:	arts-devel}
%{!?_without_esound:Requires:	esound-devel}

%description devel
SDL - Header files.

%description devel -l pl
SDL - Pliki nagwkowe.

%description devel -l pt_BR
Esse pacote contm bibliotecas, arquivos de cabealho e outros
recursos para o desenvolvimento de aplicativos com SDL.

%description devel -l ru
   ,    ,
 SDL.

%description devel -l uk
  ͦ , ȦΦ   , 
 SDL.

%package static
Summary:	SDL - static libraries
Summary(pl):	SDL - biblioteki statyczne
Summary(pt_BR):	Biblioteca esttica para desenvolvimento de aplicaes com a SDL
Summary(ru):	      SDL
Summary(uk):	Φ ¦̦     SDL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
SDL - static libraries.

%description static -l pl
SDL - biblioteki statyczne.

%description static -l pt_BR
Biblioteca esttica para desenvolvimento de aplicaes com a SDL.

%description static -l ru
       ,
 SDL.

%description static -l uk
  ͦ Φ ¦̦   , 
 SDL.

%package examples
Summary:	SDL - example programs
Summary(pl):	SDL - programy przykadowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description examples
SDL - example programs.

%description examples -l pl
SDL - przykadowe programy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifarch %{ix86}
	--enable-nasm \
%else
	--disable-nasm \
%endif
	--enable-pthreads \
	--enable-pthread-sem \
	--with-x \
	--enable-dga \
	--enable-video-dga \
	--enable-video-x11-dgamouse \
	--enable-video-x11-vm \
	--enable-video-x11-xv \
	--enable-video-opengl \
	--enable-video-fbcon \
	%{?_with_svga:--enable-video-svga} \
	%{?_with_aalib:--enable-video-aalib} \
	%{?_with_ggi:--enable-video-ggi} \
%ifnarch sparc sparc64
	%{!?_without_alsa:--enable-alsa} \
%endif
	%{!?_without_esound:--enable-esd} \
	%{!?_without_arts:--enable-arts}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf docs/man3 docs/Makefile* docs/html/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc BUGS CREDITS README TODO WhatsNew docs.html docs
%attr(755,root,root) %{_bindir}/sdl-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/libSDLmain.a
%{_includedir}/SDL
%{_aclocaldir}/*
%{_mandir}/man3/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SDL.spec,v $
Revision 1.96  2002/10/13 21:15:29  qboosh
- noobjc patch - fixes for recent ac/am - OBJC macros cannot be used
  conditionally, so disable darwin files to not require gcc-objc
  (also removed darwin-related chunk from ac25x patch)

Revision 1.95  2002/10/13 11:43:22  misiek
- updated to 1.2.5

Revision 1.94  2002/10/10 19:42:52  kloczek
- release 11: fixed typo in no_rpath_in_sdl-config patch.

Revision 1.93  2002/10/10 15:53:11  kloczek
- release 10: added no_rpath_in_sdl-config patch which removes hardcoded -rpath
  in `sdl-config --libs` output.

Revision 1.92  2002/10/09 08:46:13  qboosh
- BR: libtool

Revision 1.91  2002/09/11 10:04:53  trojan
- removed obsolete hack in %%build
- release 9; STBR

Revision 1.90  2002/09/05 09:54:13  trojan
- removed SDL-am.patch
STBR

Revision 1.89  2002/09/02 22:01:33  blues
- release 7 - rebuild with new arts

Revision 1.88  2002/08/28 22:49:03  aflinta
- added alsa9.patch
- added am.patch
- release 6

Revision 1.87  2002/07/31 10:15:30  trojan
- release 5 (changed SDL-ac25x.patch); STBR

Revision 1.86  2002/06/29 22:18:28  kloczek
- release 4: merge translations from TurboLinux, KSI and use new %doc.

Revision 1.85  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.84  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.83  2002/04/24 21:13:36  kloczek
- release 2.

Revision 1.82  2002/04/24 20:43:36  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.81  2002/04/23 19:01:20  kloczek
- updated to 1.2.4 (bugfixes).

Revision 1.80  2002/04/20 14:43:41  marcus
- reenabled alsa and arts on ppc
- rel.7.

Revision 1.79  2002/04/11 13:56:04  qboosh
- removed libSDLmain.a from -static (it is in -devel)
- fixes in groups/summaries/descriptions, other cosmetics
- release 6

Revision 1.78  2002/03/20 18:10:21  filon
- bildrequires nasm only on x86
- added subpackage with examples
- release 5

Revision 1.77  2002/03/20 16:34:07  filon
- removed not needed requirement for gtk+-devel
- enable nasm oprimizations on x86
- fixed and cleaned up configure options

Revision 1.76  2002/03/13 16:54:25  martii
- added ppc support

Revision 1.75  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.74  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.73  2002/01/11 13:14:16  kloczek
- updated to 1.2.1 (fixes and added support for IFF images and XPM
  image data directly).

Revision 1.72  2001/11/19 09:02:45  kloczek
- release 2.

Revision 1.71  2001/11/18 16:27:13  saq
- -devel reqs XFree86-devel

Revision 1.70  2001/11/13 16:55:19  misiek
- updated to 1.2.3

Revision 1.69  2001/10/24 15:47:53  malekith
- temp fix --disable-nasm (should fix problems with plaympeg crashing
  on AMDs)
- rel 7, stbr

Revision 1.68  2001/10/20 16:09:02  misiek
- hack to fix automake problems with asm files; release 6

Revision 1.67  2001/10/19 22:28:04  qboosh
- amfix patch for automake 1.5
- lpthread patch to link libSDL with -lpthread

Revision 1.66  2001/10/18 13:32:40  mkochano
- Release 5.
- Added Requires: alsa-lib-devel to ,,devel'' subpackage  on non-sparc arch.

Revision 1.65  2001/10/03 20:05:24  kloczek
- added translations stolen from CNV.

Revision 1.64  2001/10/03 16:45:14  filon
- changed req for main subpkg in static subpkg to devel
- release 4

Revision 1.63  2001/09/30 22:11:41  marcus
- added BuildRequires: perl-modules

Revision 1.62  2001/08/10 12:09:49  kloczek
- release 3,
- added conditionaly esound-devel and arts-devel to Requires list if SDL is builded
  with esound and/or arts support.

Revision 1.61  2001/07/25 11:55:14  kloczek
- updated to 1.2.2.

Revision 1.60  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.59  2001/07/11 12:57:11  kloczek
- release 4,
- merge fixlib rawhide patch (output same libraries for sdl-config
  whether --libs or --static-libs selected. Fixes compilation of most
  SDL programs),
- make spec ac 2.50 ready (added regenerate ac/am files on top %build).

Revision 1.58  2001/06/29 07:38:59  kloczek
- release 2.

Revision 1.57  2001/06/22 16:34:07  qboosh
- added conditional GGI support (don't use yet - buggy ggi crashes)
- more docs; don't include Makefiles and PBProjects.tar.gz to doc

Revision 1.56  2001/06/21 08:56:56  misiek
- updated to 1.2.1

Revision 1.55  2001/05/22 09:06:05  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.54  2001/05/22 00:16:59  kloczek
- release 3: merge byteorder rawhide patch with big/litle endian fix.

Revision 1.53  2001/04/02 14:22:10  misiek
compile without arts for alpha

Revision 1.52  2001/03/27 15:49:03  misiek
just more options

Revision 1.51  2001/03/27 15:33:43  misiek
disable-alsa removed

Revision 1.50  2001/03/27 13:53:45  mis
- autoupdated to 1.2.0

Revision 1.49  2001/03/24 02:06:34  blues
- few translations

Revision 1.48  2001/03/10 15:39:29  qboosh
- removed (duplicate) manuals from docs
- release 3

Revision 1.47  2001/03/01 01:52:12  kloczek
- release 2: rebuild on esound linked with new audiofile.

Revision 1.46  2001/02/13 15:24:08  kloczek
- updated to 1.1.8.

Revision 1.45  2001/01/23 09:30:30  klakier
- added _without_esound _without_arts

Revision 1.44  2001/01/17 19:46:00  kloczek
- release 3,
- build with arts and without alsa support.

Revision 1.43  2001/01/17 09:09:33  kloczek
- release 2.

Revision 1.42  2001/01/17 00:25:38  qboosh
- added conditional svgalib and aalib support (ggi doesn't work yet)
- _without_alsa
- BuildRequires OpenGL-devel, not XFree86-OpenGL-devel

Revision 1.41  2001/01/06 14:42:51  misiek
ifndefed alsa on sparc

Revision 1.40  2001/01/06 14:25:13  misiek
updated to 1.1.7; sent to builder

Revision 1.39  2000/12/30 13:08:17  kloczek
- bump release to 2 (for allow upgrade from rawhide).

Revision 1.38  2000/10/24 20:58:57  kloczek
- added man pages level 3 to devel.

Revision 1.37  2000/10/24 16:54:13  cieciwa
- updated to version 1.1.6.

Revision 1.36  2000/09/28 20:35:33  kloczek
- adapterized and added using rpm new automation suit.

Revision 1.35  2000/09/28 20:17:10  baggins
- updated to 1.1.5

Revision 1.34  2000/08/17 04:35:13  kloczek
- release 2,
- added --enable-video-x11-dgamouse to autoconf parameters.

Revision 1.33  2000/08/07 16:48:40  kloczek
- updated to 1.1.4.

Revision 1.32  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/07 23:01:12  kloczek
- updated to 1.1.3.

Revision 1.30  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.29  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.28  2000/03/31 21:19:25  kloczek
- updated to 1.1.2,
- added using %%{_aclocaldir} macro.

Revision 1.27  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.26  2000/03/28 10:58:00  arturs
typo

Revision 1.25  2000/03/25 02:49:24  arturs
- added %description -l pl

Revision 1.24  2000/03/12 17:29:09  kloczek
- updated to 1.1.1.

Revision 1.23  2000/03/05 19:45:04  kloczek
- updated to 1.0.7.

Revision 1.22  2000/02/28 08:39:12  kloczek
- updated to 1.0.6.

Revision 1.21  2000/02/10 12:15:29  wiget
1.0.4

Revision 1.20  2000/02/02 12:03:43  kloczek
- release 2,
- install sdl.m4 in propor place (in /usr/share/aclocal).

Revision 1.19  2000/01/31 19:46:33  kloczek
- updated to 1.0.3.

Revision 1.18  2000/01/21 18:13:47  kloczek
- removed TODO from %doc.

Revision 1.17  2000/01/21 16:10:22  kloczek
- updated to 1.0.2.

Revision 1.16  1999/12/14 11:46:45  wiget
1.0.1

Revision 1.15  1999/12/09 02:15:38  kloczek
- updayed to 1.0.0,
- added DSL stub to devel (libSDLmain.a),
- updated Source url and URL.

Revision 1.14  1999/11/09 22:22:20  kloczek
- updated Buildrequires rules list.

Revision 1.13  1999/11/09 22:20:08  kloczek
- updated to 0.11.2,
- added using new automake/autoconf suit in %build and %install,
- new DESTDIR style %install.

Revision 1.12  1999/08/09 16:41:07  kloczek
- updated to 0.10.0,
- all %doc moved to devel,
- added gzipping %doc.

Revision 1.11  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
